/******************************************************************************
*	File		-	component_guis.cpp
*	Author		-	Joey Pollack
*	Date		-	2022/06/01 (y/m/d)
*	Mod Date	-	2022/06/01 (y/m/d)
*	Description	-	Functions to render component editing GUIs
******************************************************************************/

#include "component_guis.h"
#include <editor/editor.h>
#include <utils/logger.h>
#include <dearimgui/imgui.h>

namespace lunarium { namespace editor
{
    void CompGui::RenderTagComp(TagComponent& comp)
    {
        ImGui::Text("Tag:");
        ImGui::SameLine();
        ImGui::InputText("##Tag", comp.Info.data(), comp.Info.capacity());
    }

    void CompGui::RenderTransformComp(TransformComponent& comp)
    {

    }
}}